Page MenuHomePhabricator

LQT: Uncaught TypeError: Cannot read property 'id' of undefined
Open, LowestPublicBUG REPORT

Description

Intention:
I wanted to leave a comment in a thread

Steps to Reproduce:

  1. Go to a LQT page (see the URL)
  2. Click in the last reply button and wait until the edit form is loaded
  3. Click in the reply button of the "parent" comment
  4. Write something in the input box and save.

Actual Results:
The console showed the following message:
Uncaught TypeError: Cannot read property 'id' of undefined

Expected Results:
No error message

Reproducible: Sometimes

I tried to reproduce the bug on
https://test.wikipedia.org/wiki/Thread:LQT/Test_(2)?debug=1
but it didn't happen.


Version: master
Severity: major
URL: https://pt.wikibooks.org/wiki/Thread:Utilizador_Discussão:Raylton_P._Sousa/Ajuda_com_edição_do_livro_de_Matemática/resposta_(4)?debug=1&uselang=en

Details

Reference
bz57425

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:35 AM
bzimport set Reference to bz57425.
bzimport added a subscriber: Unknown Object (MLST).

Created attachment 13881
Screenshot of the console (JavaScript paused on uncaught exception)

Attached:

Bug.png (900×1 px, 104 KB)

Created attachment 13882
$newThread is empty!

The code which causes the bug is loaded from
https://bits.wikimedia.org/static-1.23wmf4/extensions/LiquidThreads/lqt.js

and the line in the screenshot above is this:
https://github.com/wikimedia/mediawiki-extensions-LiquidThreads/blob/master/lqt.js#L916

Attached:

Bug2.png (900×1 px, 106 KB)

(In reply to comment #0)

Reproducible: Sometimes

I tried to reproduce the bug on
https://test.wikipedia.org/wiki/Thread:LQT/Test_(2)?debug=1
but it didn't happen.

On the other hand, the four times I tried to reproduce this on that page from Portuguese Wikibooks, the error happend as described (I reloaded the page, and added debug=1 and uselang=en from one try to another).

Hi I think this is fixed does this problem still happen.

Hi I think this is fixed

@Paladox: If you think it's fixed then you need to explain why you think so and what exactly made you think so, by a clear comment what you have tried and where.

Jdforrester-WMF lowered the priority of this task from Medium to Lowest.Aug 4 2016, 11:33 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

LiquidThreads has been replaced by StructuredDiscussions on all Wikimedia production wikis (except one, which will be done soon). It is no longer under active development or maintenance, so I'm re-classifying all open LQT tasks as "Lowest" priority.

Aklapper changed the subtype of this task from "Task" to "Bug Report".Feb 15 2022, 9:39 PM
Aklapper removed a subscriber: wikibugs-l-list.